]> git.sur5r.net Git - bacula/bacula/commitdiff
Exit if zombie jobs or log errors
authorKern Sibbald <kern@sibbald.com>
Sun, 30 Sep 2007 13:08:59 +0000 (13:08 +0000)
committerKern Sibbald <kern@sibbald.com>
Sun, 30 Sep 2007 13:08:59 +0000 (13:08 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@5692 91ce42f0-d328-0410-95d8-f526ca767f89

regress/scripts/check_for_zombie_jobs
regress/scripts/functions
regress/tests/auto-label-test

index 768c4e173130de45baa207bae07ef2a1e797449c..d35a5ffc37c3abd454aa57f1b26c31f4dbba8c22 100755 (executable)
@@ -23,12 +23,14 @@ status $1
 quit
 END_OF_DATA
 
+export zstat
 grep "No Jobs running." tmp/dir.out 2>&1 >/dev/null
 if [ $? != 0 ] ; then
   echo " "
   echo "  !!!! Zombie Jobs in Director !!!!"
   echo "  !!!! Zombie Jobs in Director !!!!" >>test.out
   echo " "
+  zstat=1
   exit 1
 fi
 grep "No Jobs running." tmp/fd.out 2>&1 >/dev/null
@@ -37,6 +39,7 @@ if [ $? != 0 ] ; then
   echo "  !!!! Zombie Jobs in File daemon !!!!"
   echo "  !!!! Zombie Jobs in File daemon !!!!" >>test.out
   echo " "
+  zstat=1
   exit 1
 fi
 grep "No Jobs running." tmp/sd.out 2>&1 >/dev/null
@@ -45,6 +48,7 @@ if [ $? != 0 ] ; then
   echo "  !!!! Zombie Jobs in Storage daemon !!!!"
   echo "  !!!! Zombie Jobs in Storage daemon !!!!" >>test.out
   echo " "
+  zstat=1
   exit 1
 fi
 grep "ERROR" tmp/log*.out 2>&1 >/dev/null
@@ -52,7 +56,9 @@ if [ $? = 0 ] ; then
   echo " "
   echo "  !!!! ERROR in log output !!!!"
   echo "  !!!! ERROR in log output !!!!" >>test.out
+  grep "ERROR" tmp/log*.out
   echo " "
+  zstat=1
   exit 1
 fi
 grep "Fatal Error" tmp/log*.out 2>&1 >/dev/null
@@ -60,7 +66,9 @@ if [ $? = 0 ] ; then
   echo " "
   echo "  !!!! Fatal Error in log output !!!!"
   echo "  !!!! Fatal Error in log output !!!!" >>test.out
+  grep "Fatal Error" tmp/log*.out
   echo " "
+  zstat=1
   exit 1
 fi
 
@@ -69,6 +77,8 @@ if [ $? = 0 ] ; then
   echo " "
   echo "  !!!! glibc detected Error in log output !!!!"
   echo "  !!!! glibc detected Error in log output !!!!" >>test.out
+  grep "glibc detected" tmp/log*.out
   echo " "
+  zstat=1
   exit 1
 fi
index 0028283472b980fe124e3908edaa206a26bcfb5b..798bc0a786721ae385fd7dca179c4244554b5f56 100644 (file)
@@ -9,6 +9,7 @@ start_test()
    echo " === Starting $TestName at `date +%R:%S` ==="
    echo " === Starting $TestName at `date +%R:%S` ===" >>working/log
    echo " "
+   export zstat
 }
 
 require_root()
@@ -38,6 +39,7 @@ set_debug()
 run_bacula()
 {
    debug_wait
+   zstat=0
    if test "$debug" -eq 1 ; then
      bin/bacula-ctl-sd start
      bin/bacula-ctl-fd start
@@ -137,6 +139,14 @@ check_restore_tmp_build_diff()
 
 end_test()
 {
+   if [ $zstat != 0 ] ; then
+      echo " "
+      echo "  !!!!! $TestName failed!!! `date +%R:%S` !!!!! "
+      echo "  !!!!! $TestName failed!!! `date +%R:%S` !!!!! " >>test.out
+      echo "   Status: zombie=$zstat backup=$bstat restore=$rstat diff=$dstat" >>test.out
+      echo " "
+      exit 1
+   fi
    if [ $dstat != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
       echo " "
       echo " "
index 247f30303c8c21304e3c4dd809aa5c51780f0780..4a952b4f95eb2aa6653bd8687471fb111dc0a762 100755 (executable)
@@ -56,7 +56,7 @@ quit
 END_OF_SCRIPT
 
 run_bacula
-check_for_zombie_jobs storage=File
+check_for_zombie_jobs storage=File || exit 1
 stop_bacula
 
 check_two_logs